#!/bin/bash

# This is a helper script to properly format the coverage reports in our CI pipeline
# It adds a .coveragerc config file to the project root directory
# The .coveragerc files is needed for coverage to properly generate HTML and XML reports in CI

# This is to be ran by our CI build server only

# Coveragerc reference https://coverage.readthedocs.io/en/latest/config.html#paths

# Create .coveragerc in project root
touch .coveragerc

# printf formatting:
    # |<string>
    # |<string>
    # |<tab><string>
    # |<tab><string>
    # |<tab><string>
printf "%s\n%s\n\t%s\n\t%s\n\t%s\n\t%s" \
"[paths]" \
"source =" \
"./" \
"/code/src" \
"/code" >> .coveragerc
